Type

  TOpcodeRec=record
     Flg   : byte;
     Param : byte;
     Func  : TOpcFunc;
     Name  : PChar;
  end;

Const
 MaxOpcod = $197;
 CaseVer  = $FE;
 CVr      = CaseVer;

 OpcTable: array[0..MaxOpcod] of TOpcodeRec=(
{0000} (Flg: $00; Param: $FF; Func: p_Label        ; Name: Nil),                             {  }
{0001} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'Enable'),                        {01}
{0002} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'Disable'),                       {01}
{0003} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'SetColor'),                      {02}
{0004} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'SetTitle'),                      {03}
{0005} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'GetDiskSpace'),                  {01}
{0006} (Flg: $00; Param: $00; Func: p_StandartProc ; Name: 'GetMemoryFree'),                 {00}
{0007} (Flg: $00; Param: $00; Func: p_StandartProc ; Name: 'GetMode'),                       {00}
{0008} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'SetStatusWindow'),               {02}
{0009} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'SetInfoWindow'),                 {02}
{000A} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'Delay'),                         {01}
{000B} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'ExistsDisk'),                    {01}
{000C} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'ExistsDir'),                     {01}
{000D} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'AskPath'),                       {03}
{000E} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'GetDisk'),                       {02}
{000F} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'GetDir'),                        {02}
{0010} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'CreateDir'),                     {01}
{0011} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'CreateFile'),                    {03}
{0012} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'WriteLine'),                     {02}
{0013} (Flg: $00; Param: $02; Func: p_Equ          ; Name: 'StrCopy'),                       {02}
{0014} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'StrConcat'),                     {02}
{0015} (Flg: $00; Param: $01; Func: p_None         ; Name:  Nil),                            {  }
{0016} (Flg: $00; Param: $02; Func: p_None         ; Name:  Nil),                            {  }
{0017} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'CreateProgGroup'),               {01}
{0018} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'AddProgItem'),                   {04}
{0019} (Flg: $00; Param: $03; Func: p_None         ; Name:  Nil),                            {  }
{001A} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'EnterDisk'),                     {02}
{001B} (Flg: $00; Param: $FF; Func: p_None         ; Name:  Nil),                            {  }
{001C} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'CopyFile'),                      {02}
{001D} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'DeleteFile'),                    {01}
{001E} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'AskText'),                       {03}
{001F} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'CloseFile'),                     {01}
{0020} (Flg: $00; Param: $00; Func: p_None         ; Name:  Nil),                            {  }
{0021} (Flg: $00; Param: $02; Func: p_Equ          ; Name: 'Assign'),                        {02}
{0022} (Flg: $00; Param: $04; Func: p_GotoIf       ; Name:  Nil),                            {  }
{0023} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'StrCompare'),                    {02}
{0024} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'OpenFile'),                      {03}
{0025} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'WriteProfString'),               {04}
{0026} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'GetProfString'),                 {04}
{0027} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'GetProfInt'),                    {04}
{0028} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'AskYesNo'),                      {02}
{0029} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'FindFile'),                      {03}
{002A} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'MessageBox'),                    {02}
{002B} (Flg: $00; Param: $00; Func: p_Other        ; Name:  Nil),                            {  }
{002C} (Flg: $00; Param: $01; Func: p_Goto         ; Name:  Nil),                            {  }
{002D} (Flg: $00; Param: $FF; Func: p_None         ; Name:  Nil),                            {  }
{002E} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'AppendToPath'),                  {02}
{002F} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'StrLength'),                     {01}
{0030} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'StrSub'),                        {04}
{0031} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'StrFind'),                       {02}
{0032} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'Add'),                           {02}
{0033} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'LaunchApp'),                     {02}
{0034} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'ExecuteDLL'),                    {02}
{0035} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'GetExtents'),                    {02}
{0036} (Flg: $00; Param: $05; Func: p_StandartProc ; Name: 'PlaceBitmap'),                   {05}
{0037} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'GetLine'),                       {02}
{0038} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'ExportNum'),                     {02}
{0039} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'ExportStr'),                     {02}
{003A} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'MessageBeep'),                   {01}
{003B} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'SetDialogTitle'),                {02}
{003C} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'SetFont'),                       {03}
{003D} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'SetErrorMsg'),                   {02}
{003E} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'SetErrorTitle'),                 {02}
{003F} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'DeleteDir'),                     {02}
{0040} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'FindAllFiles'),                  {04}
{0041} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'GetEnvVar'),                     {02}
{0042} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'SuppressErrorMsg'),              {02}
{0043} (Flg: $00; Param: $01; Func: p_None         ; Name:  Nil),                            {01}
{0044} (Flg: $00; Param: $00; Func: p_None         ; Name:  Nil),                            {  }
{0045} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'EzBatchAddPath'),                {04}
{0046} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'EzBatchAddString'),              {03}
{0047} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'BatchGetFileName'),              {01}
{0048} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'BatchFileLoad'),                 {01}
{0049} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'BatchFind'),                     {03}
{004A} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'BatchMove'),                     {03}
{004B} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'BatchAdd'),                      {04}
{004C} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'BatchDelete'),                   {01}
{004D} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'BatchFileSave'),                 {01}
{004E} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'EzConfigAddDriver'),             {03}
{004F} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'EzConfigAddString'),             {03}
{0050} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'EzConfigGetValue'),              {02}
{0051} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'EzConfigSetValue'),              {02}
{0052} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'ConfigGetFileName'),             {01}
{0053} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'ConfigFileLoad'),                {01}
{0054} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'ConfigFind'),                    {03}
{0055} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'ConfigMove'),                    {03}
{0056} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'ConfigAdd'),                     {04}
{0057} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'ConfigDelete'),                  {01}
{0058} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'ConfigGetInt'),                  {02}
{0059} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'ConfigSetInt'),                  {02}
{005A} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'ConfigFileSave'),                {01}
{005B} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'PathSet'),                       {01}
{005C} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'PathGet'),                       {01}
{005D} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'PathAdd'),                       {04}
{005E} (Flg: $00; Param: $05; Func: p_StandartProc ; Name: 'PathMove'),                      {05}
{005F} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'PathFind'),                      {04}
{0060} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'PathDelete'),                    {02}
{0061} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'GetSystemInfo'),                 {03}
{0062} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'BatchSetFileName'),              {01}
{0063} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'ConfigSetFileName'),             {01}
{0064} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'StatusUpdate'),                  {02}
{0065} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'OpenFileMode'),                  {01}
{0066} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'DeleteGroup'),                   {01}
{0067} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'ShowGroup'),                     {02}
{0068} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'PlaceWindow'),                   {04}
{0069} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'SizeWindow'),                    {03}
{006A} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'SeekBytes'),                     {03}
{006B} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'ReadBytes'),                     {04}
{006C} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'WriteBytes'),                    {04}
{006D} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'StrToNum'),                      {02}
{006E} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'NumToStr'),                      {02}
{006F} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'System'),                        {01}
{0070} (Flg: $00; Param: $02; Func: p_None         ; Name:  Nil),                            {  }
{0071} (Flg: $00; Param: $01; Func: p_None         ; Name:  Nil),                            {  }
{0072} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'GetGroupNames'),                 {02}
{0073} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'FindWindow'),                    {02}
{0074} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'SendMessage'),                   {04}
{0075} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'Sub'),                           {02}
{0076} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'Mul'),                           {02}
{0077} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'Div'),                           {02}
{0078} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'RenameFile'),                    {02}
{0079} (Flg: $00; Param: $05; Func: p_StandartProc ; Name: 'CopyBytes'),                     {05}
{007A} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'GetByte'),                       {03}
{007B} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'SetByte'),                       {03}
{007C} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'GetFileInfo'),                   {04}
{007D} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'SetFileInfo'),                   {04}
{007E} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'BitNot'),                        {01}
{007F} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'BitAnd'),                        {02}
{0080} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'BitOr'),                         {02}
{0081} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'AppCommand'),                    {02}
{0082} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'ChangeDirectory'),               {01}
{0083} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'EzBatchReplace'),                {01}
{0084} (Flg: $00; Param: $02; Func: p_None         ; Name:  Nil),                            {02}
{0085} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'RegDBCreateKey'),                {01}
{0086} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'RegDBCreateKeyValue'),           {02}
{0087} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'RegDBDeleteKey'),                {01}
{0088} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'RegDBKeyExist'),                 {01}
{0089} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'RegDBGetKeyValue'),              {02}
{008A} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'RegDBSetKeyValue'),              {02}
{008B} (Flg: $00; Param: $08; Func: p_StandartProc ; Name: 'DefineDialog'),                  {08}
{008C} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'WaitOnDialog'),                  {01}
{008D} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'EndDialog'),                     {01}
{008E} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'ReleaseDialog'),                 {01}
{008F} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'CtrlGetState'),                  {02}
{0090} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'CtrlSetState'),                  {03}
{0091} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'CtrlSetText'),                   {03}
{0092} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'CtrlGetText'),                   {03}
{0093} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'CtrlSelectText'),                {02}
{0094} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'CtrlGetCurSel'),                 {03}
{0095} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'CtrlSetCurSel'),                 {03}
{0096} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'CtrlClear'),                     {02}
{0097} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'CtrlDir'),                       {04}
{0098} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'CtrlPGroups'),                   {02}
{0099} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'CtrlSetList'),                   {03}
{009A} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'CmdGetHwndDlg'),                 {01}
{009B} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'CmdGetMsg'),                     {01}
{009C} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'CmdGetParam1'),                  {01}
{009D} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'CmdGetParam2'),                  {01}
{009E} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'CtrlGetSubCommand'),             {01}
{009F} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'ListCreate'),                    {01}
{00A0} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'ListDestroy'),                   {01}
{00A1} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'ListAddString'),                 {03}
{00A2} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'ListFindString'),                {02}
{00A3} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'ListAddItem'),                   {03}
{00A4} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'ListGetFirstString'),            {02}
{00A5} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'ListGetNextString'),             {02}
{00A6} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'ListGetFirstItem'),              {02}
{00A7} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'ListGetNextItem'),               {02}
{00A8} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'ListDeleteString'),              {01}
{00A9} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'ListSetCurrentString'),          {02}
{00AA} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'ListSetCurrentItem'),            {02}
{00AB} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'VerGetFileVersion'),             {02}
{00AC} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'VerFindFileVersion'),            {03}
{00AD} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'VerSearchAndUpdateFile'),        {03}
{00AE} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'VerUpdateFile'),                 {03}
{00AF} (Flg: $00; Param: $FF; Func: p_None         ; Name:  Nil),                            {  }
{00B0} (Flg: $00; Param: $FF; Func: p_None         ; Name:  Nil),                            {  }
{00B1} (Flg: $00; Param: $FF; Func: p_None         ; Name:  Nil),                            {  }
{00B2} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'UseDLL'),                        {01}
{00B3} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'UnUseDLL'),                      {01}
{00B4} (Flg: $00; Param: $00; Func: p_CallExternal ; Name:  Nil),                            {  }
{00B5} (Flg: $00; Param: $00; Func: p_Call         ; Name:  Nil),                            {  }
{00B6} (Flg: $00; Param: $00; Func: p_CallHeader   ; Name:  Nil),                            {  }
{00B7} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'return'),                        {01}
{00B8} (Flg: $00; Param: $00; Func: p_Other        ; Name:  Nil),                            {  }
{00B9} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'AddressNumber'),                 {01}
{00BA} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'AddressString'),                 {01}
{00BB} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'AddressStruct'),                 {01}
{00BC} (Flg: $00; Param: $05; Func: p_StandartProc ; Name: 'StructGet'),                     {05}
{00BD} (Flg: $00; Param: $05; Func: p_StandartProc ; Name: 'StructGetP'),                    {05}
{00BE} (Flg: $00; Param: $05; Func: p_StandartProc ; Name: 'StructPut'),                     {05}
{00BF} (Flg: $00; Param: $05; Func: p_StandartProc ; Name: 'StructPutP'),                    {05}
{00C0} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'CompressAdd'),                   {03}
{00C1} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'CompressGet'),                   {03}
{00C2} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'CompressDel'),                   {03}
{00C3} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'CompressEnum'),                  {04}
{00C4} (Flg: $00; Param: $05; Func: p_StandartProc ; Name: 'CompressInfo'),                  {05}
{00C5} (Flg: $00; Param: $FF; Func: p_None         ; Name:  Nil),                            {  }
{00C6} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'GetWindowHandle'),               {01}
{00C7} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'CreateProgGroupEx'),             {02}
{00C8} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'GetGroupNameList'),              {01}
{00C9} (Flg: $00; Param: $08; Func: p_StandartProc ; Name: 'AddProgItemEx'),                 {08}
{00CA} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'GetItemNameList'),               {02}
{00CB} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'DeleteProgItem'),                {03}
{00CC} (Flg: $00; Param: $08; Func: p_StandartProc ; Name: 'QueryProgItem'),                 {08}
{00CD} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'QueryProgGroup'),                {03}
{00CE} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'QueryShellMgr'),                 {01}
{00CF} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'ReloadProgGroup'),               {01}
{00D0} (Flg: $00; Param: $09; Func: p_StandartProc ; Name: 'ReplaceProgItem'),               {09}
{00D1} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'ExitProgMan'),                   {01}
{00D2} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'FileSetBeginDefine'),            {01}
{00D3} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'FileSetEndDefine'),              {01}
{00D4} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'FileSetReset'),                  {02}
{00D5} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'FileSetPerform'),                {02}
{00D6} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'FileSetEndPerform'),             {01}
{00D7} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'BatchMoveEx'),                   {04}
{00D8} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'BatchDeleteEx'),                 {02}
{00D9} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'ParsePath'),                     {03}
{00DA} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'StrToLower'),                    {02}
{00DB} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'StrToUpper'),                    {02}
{00DC} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'StrGetTokens'),                  {03}
{00DD} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'FileCompare'),                   {03}
{00DE} (Flg: $00; Param: $05; Func: p_StandartProc ; Name: 'FileGrep'),                      {05}
{00DF} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'FileInsertLine'),                {04}
{00E0} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'FileDeleteLine'),                {03}
{00E1} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'GetValidDrivesList'),            {03}
{00E2} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'Is'),                            {02}
{00E3} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'LaunchAppAndWait'),              {03}
{00E4} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'DoInstall'),                     {03}
{00E5} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'CopyFileEx'),                    {02}
{00E6} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'Split'),                         {04}
{00E7} (Flg: $00; Param: $05; Func: p_None         ; Name:  Nil),                            {  }
{00E8} (Flg: $00; Param: $03; Func: p_None         ; Name:  Nil),                            {  }
{00E9} (Flg: $00; Param: $02; Func: p_None         ; Name:  Nil),                            {  }
{00EA} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'StatusSetLine'),                 {03}
{00EB} (Flg: $00; Param: $05; Func: p_StandartProc ; Name: 'StatusGetSize'),                 {05}
{00EC} (Flg: $00; Param: $02; Func: p_None         ; Name:  Nil),                            {  }
{00ED} (Flg: $00; Param: $01; Func: p_None         ; Name:  Nil),                            {  }
{00EE} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'AddProfString'),                 {04}
{00EF} (Flg: $00; Param: $05; Func: p_StandartProc ; Name: 'ReplaceProfString'),             {05}
{00F0} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'CtrlGetMLEText'),                {03}
{00F1} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'CtrlSetMLEText'),                {03}
{00F2} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'CtrlGetMultCurSel'),             {03}
{00F3} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'StructSizeOf'),                  {01}
{00F4} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'ListCurrentString'),             {02}
{00F5} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'ListCurrentItem'),               {02}
{00F6} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'ListDeleteItem'),                {01}
{00F7} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'ListFindItem'),                  {02}
{00F8} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'ListCount'),                     {01}
{00F9} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'CtrlSetMultCurSel'),             {04}
{00FA} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'XCopyFile'),                     {03}
{00FB} (Flg: $00; Param: $02; Func: p_None         ; Name:  Nil),                            {  }
{00FC} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'FileSetRoot'),                   {02}
{00FD} (Flg: $00; Param: $02; Func: p_StandartProc ; Name:  'Shl'),                          {02}
{00FE} (Flg: $00; Param: $02; Func: p_StandartProc ; Name:  'Shr'),                          {02}
{00FF} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'VarSave'),                       {01}
{0100} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'VarRestore'),                    {01}
{0101} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'FindAllDirs'),                   {03}
{0102} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'VerCompare'),                    {03}
{0103} (Flg: $00; Param: $00; Func: p_SPrintf      ; Name:  Nil),                            {  }
{0104} (Flg: $00; Param: $00; Func: p_SPrintf      ; Name:  Nil),                            {  }
{0105} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'GetFont'),                       {03}
{0106} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'CtrlSetFont'),                   {03}
{0107} (Flg: $00; Param: $05; Func: p_None         ; Name:  Nil),                            {  }
{0108} (Flg: $00; Param: $01; Func: p_None         ; Name:  Nil),                            {  }
{0109} (Flg: $00; Param: $01; Func: p_None         ; Name:  Nil),                            {  }
{010A} (Flg: $00; Param: $02; Func: p_None         ; Name:  Nil),                            {  }
{010B} (Flg: $00; Param: $01; Func: p_None         ; Name:  Nil),                            {  }
{010C} (Flg: $00; Param: $02; Func: p_None         ; Name:  Nil),                            {  }
{010D} (Flg: $00; Param: $01; Func: p_None         ; Name:  Nil),                            {  }
{010E} (Flg: $00; Param: $03; Func: p_None         ; Name:  Nil),                            {  }
{010F} (Flg: $00; Param: $03; Func: p_None         ; Name:  Nil),                            {  }
{0110} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'RegDBSetDefaultRoot'),           {01}
{0111} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'ProgDefGroupType'),              {01}
{0112} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'StrLoadString'),                 {03}
{0113} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'EzDefineDialog'),                {04}
{0114} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'LanguageSet'),                   {01}
{0115} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'ListWriteToFile'),               {02}
{0116} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'ListReadFromFile'),              {02}
{0117} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'ListGetFileResource'),           {03}
{0118} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'LanguageInfo'),                  {02}
{0119} (Flg: $00; Param: $03; Func: p_Operation    ; Name:  Nil),                            {  }
{011A} (Flg: $00; Param: $03; Func: p_Operation    ; Name:  Nil),                            {  }
{011B} (Flg: $00; Param: $03; Func: p_Operation    ; Name:  Nil),                            {  }
{011C} (Flg: $00; Param: $03; Func: p_Operation    ; Name:  Nil),                            {  }
{011D} (Flg: $00; Param: $03; Func: p_Operation    ; Name:  Nil),                            {  }
{011E} (Flg: $00; Param: $03; Func: p_Operation    ; Name:  Nil),                            {  }
{011F} (Flg: $00; Param: $03; Func: p_Operation    ; Name:  Nil),                            {  }
{0120} (Flg: $00; Param: $03; Func: p_Operation    ; Name:  Nil),                            {  }
{0121} (Flg: $00; Param: $03; Func: p_Operation    ; Name:  Nil),                            {  }
{0122} (Flg: $00; Param: $03; Func: p_Operation    ; Name:  Nil),                            {  }
{0123} (Flg: $00; Param: $03; Func: p_Operation    ; Name:  Nil),                            {  }
{0124} (Flg: $00; Param: $03; Func: p_Operation    ; Name:  Nil),                            {  }
{0125} (Flg: $00; Param: $03; Func: p_Operation    ; Name:  Nil),                            {  }
{0126} (Flg: $00; Param: $03; Func: p_Operation    ; Name:  Nil),                            {  }
{0127} (Flg: $00; Param: $03; Func: p_Operation    ; Name:  Nil),                            {  }
{0128} (Flg: $00; Param: $04; Func: p_Compare      ; Name:  Nil),                            {  }
{0129} (Flg: $00; Param: $00; Func: p_Other        ; Name:  Nil),                            {  }
{012A} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'Effects'),                       {02}
{012B} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'VarLoadFromFile'),               {01}
{012C} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'VarSaveToFile'),                 {01}
{012D} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'VarSaveListToFile'),             {02}
{012E} (Flg: $00; Param: $00; Func: p_None         ; Name:  Nil),                            {  }
{012F} (Flg: $00; Param: $00; Func: p_None         ; Name:  Nil),                            {  }
{0130} (Flg: $00; Param: $05; Func: p_None         ; Name:  Nil),                            {  }
{0131} (Flg: $00; Param: $05; Func: p_None         ; Name:  Nil),                            {  }
{0132} (Flg: $00; Param: $00; Func: p_None         ; Name:  Nil),                            {  }
{0133} (Flg: $00; Param: $00; Func: p_None         ; Name:  Nil),                            {  }
{0134} (Flg: $00; Param: $00; Func: p_None         ; Name:  Nil),                            {  }
{0135} (Flg: $00; Param: $00; Func: p_None         ; Name:  Nil),                            {  }
{0136} (Flg: $00; Param: $00; Func: p_None         ; Name:  Nil),                            {  }
{0137} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'AskDestPath'),                   {04}
{0138} (Flg: $00; Param: $05; Func: p_StandartProc ; Name: 'SetupType'),                     {05}
{0139} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'SelectFolder'),                  {03}
{013A} (Flg: $00; Param: $08; Func: p_StandartProc ; Name: 'AddFolderIcon'),                 {08}
{013B} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'CallDLLFx'),                     {04}
{013C} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'CreateProgramFolder'),           {01}
{013D} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'DeleteProgramFolder'),           {01}
{013E} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'DeleteFolderIcon'),              {02}
{013F} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'FileSetPerformEz'),              {02}
{0140} (Flg: $00; Param: $01; Func: p_None         ; Name:  Nil),                            {  }
{0141} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'RegDBSetAppInfo'),               {04}
{0142} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'RegDBGetAppInfo'),               {04}
{0143} (Flg: $00; Param: $09; Func: p_StandartProc ; Name: 'ReplaceFolderIcon'),             {09}
{0144} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'Welcome'),                       {02}
{0145} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'DeinstallStart'),                {04}
{0146} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'InstallationInfo'),              {04}
{0147} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'RegDBSetItem'),                  {02}
{0148} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'RegDBGetItem'),                  {02}
{0149} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'ComponentDialog'),               {04}
{014A} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'ComponentAddItem'),              {04}
{014B} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'ComponentIsItemSelected'),       {02}
{014C} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'ComponentSelectItem'),           {03}
{014D} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'RebootDialog'),                  {03}
{014E} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'ShowProgramFolder'),             {02}
{014F} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'CommitSharedFiles'),             {01}
{0150} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'RegDBCreateKeyEx'),              {02}
{0151} (Flg: $00; Param: $05; Func: p_StandartProc ; Name: 'RegDBSetKeyValueEx'),            {05}
{0152} (Flg: $00; Param: $05; Func: p_StandartProc ; Name: 'RegDBGetKeyValueEx'),            {05}
{0153} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'StrRemoveLastSlash'),            {01}
{0154} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'Do'),                            {01}
{0155} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'ListSetIndex'),                  {02}
{0156} (Flg: CVr; Param: CVr; Func: p_StandartProc ; Name: 'ComponentListItems'),            {02}{03}
{0157} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'ComponentGetItemSize'),          {03}
{0158} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'SelectDir'),                     {04}
{0159} (Flg: $00; Param: $00; Func: p_Other        ; Name:  Nil),                            {  }
{015A} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'LongPathToQuote'),               {02}
{015B} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'LongPathToShortPath'),           {01}
{015C} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'LongPathFromShortPath'),         {01}
{015D} (Flg: $00; Param: $05; Func: p_StandartProc ; Name: 'SilentReadData'),                {05}
{015E} (Flg: $00; Param: $05; Func: p_StandartProc ; Name: 'SilentWriteData'),               {05}
{015F} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'DialogSetInfo'),                 {03}
{0160} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'ComponentSetItemInfo'),          {04}
{0161} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'ComponentGetItemInfo'),          {04}
{0162} (Flg: CVr; Param: CVr; Func: p_StandartProc ; Name: 'ComponentTotalSize'),            {02}{04}
{0163} (Flg: $00; Param: $07; Func: p_None         ; Name:  Nil),                            {  }
{0164} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'RegDBQueryKey'),                 {03}
{0165} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'GetFolderNameList'),             {03}
{0166} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'RegDBDeleteValue'),              {02}
{0167} (Flg: $00; Param: $03; Func: p_None         ; Name:  Nil),                            {  }
{0168} (Flg: $00; Param: $03; Func: p_None         ; Name:  Nil),                            {  }
{0169} (Flg: $00; Param: $00; Func: p_None         ; Name:  Nil),                            {  }
{016A} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'RegDBConnectRegistry'),          {03}
{016B} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'RegDBDisConnectRegistry'),       {01}
{016C} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'RegDBMergeRegFile'),             {02}
{016D} (Flg: $00; Param: $00; Func: p_None         ; Name:  Nil),                            {  }
{016E} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'GetScriptFunctionAddress'),      {02}
{016F} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'SetDisplayEffect'),              {01}
{0170} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'PlayMMedia'),                    {04}
{0171} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'MMediaIsPlaying'),               {01}
{0172} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'ComponentCompareSizeRequired'),  {03}
{0173} (Flg: $00; Param: $05; Func: p_StandartProc ; Name: 'ComponentError'),                {05}
{0174} (Flg: $00; Param: $05; Func: p_StandartProc ; Name: 'ComponentFileEnum'),             {05}
{0175} (Flg: $00; Param: $06; Func: p_StandartProc ; Name: 'ComponentFileInfo'),             {06}
{0176} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'ComponentFilter'),               {04}
{0177} (Flg: $00; Param: $05; Func: p_StandartProc ; Name: 'ComponentGetData'),              {05}
{0178} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'ComponentInitialize'),           {02}
{0179} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'ComponentMoveData'),             {03}
{017A} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'ComponentMoveDataEz'),           {02}
{017B} (Flg: $00; Param: $05; Func: p_StandartProc ; Name: 'ComponentSetData'),              {05}
{017C} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'ComponentTextSubSet'),           {03}
{017D} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'ComponentValidate'),             {03}
{017E} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'IndirectNumber'),                {01}
{017F} (Flg: $00; Param: $05; Func: p_StandartProc ; Name: 'GetRecord_Unk'),                 {05}
{0180} (Flg: $00; Param: $05; Func: p_StandartProc ; Name: 'GetRecordP_Unk'),                {05}
{0181} (Flg: $00; Param: $05; Func: p_Struct       ; Name:  Nil),                            {  }
{0182} (Flg: $00; Param: $05; Func: p_Struct       ; Name:  Nil),                            {  }
{0183} (Flg: $00; Param: $05; Func: p_Struct       ; Name:  Nil),                            {  }
{0184} (Flg: $00; Param: $05; Func: p_Struct       ; Name:  Nil),                            {  }
{0185} (Flg: $00; Param: $01; Func: p_None         ; Name:  Nil),{LAST_RESULT=-1}            {00}
{0186} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'ComponentTextSubQuery'),         {04}
{0187} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'ComponentTextSubEnum'),          {02}
{0188} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'ComponentTextSubEval'),          {04}
{0189} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'ComponentSetupTypeSet'),         {02}
{018A} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'ComponentSetupTypeEnum'),        {02}
{018B} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'ComponentViewCreate'),           {02}
{018C} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'ComponentViewSetInfo'),          {04}
{018D} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'ComponentViewQueryInfo'),        {04}
{018E} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'ComponentViewRefresh'),          {02}
{018F} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'ComponentViewDestroy'),          {01}
{0190} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'ComponentViewCreateWindow'),     {01}
{0191} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'ComponentViewSelectAll'),        {02}
{0192} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'ComponentSetTarget'),            {03}
{0193} (Flg: $00; Param: $02; Func: p_StandartProc ; Name: 'ComponentSetCurrent'),           {02}
{0194} (Flg: $00; Param: $05; Func: p_StandartProc ; Name: 'ComponentSetupTypeGetData'),     {05}
{0195} (Flg: $00; Param: $01; Func: p_StandartProc ; Name: 'DeinstallSetReference'),         {01}
{0196} (Flg: $00; Param: $04; Func: p_StandartProc ; Name: 'ComponentFilterOS'),             {04}
{0197} (Flg: $00; Param: $03; Func: p_StandartProc ; Name: 'ComponentFilterLanguage'));      {03}

Type

  TVarIDRec=record
     Opcod : byte;
     Func  : TVarIDFunc;
  end;

Const
  CompareID:array[0..6] of PChar=(
  ' ? ', _opLess, _opGreat, _opEqLess, _opEqGreat, _opEqu, _opNotEqu);
{  CompareID:array[0..6] of string[4]=(' ? ',' < ',' > ',' <= ',' >= ',' = ',' != ');}
  VarIDCnt=10;
  VarIDOpc:array[1..VarIDCnt] of TVarIDRec=(
    (Opcod: $20; Func: vid_ParamCnt     ),     {<ParamCnt   >  W(ParamCnt )}
    (Opcod: $32; Func: vid_Pop          ),     {<Pop  IntVar>  W(IntVarNum)}
    (Opcod: $41; Func: vid_Push         ),     {<Push Int   >  DW(Int)}
    (Opcod: $42; Func: vid_Push         ),     {<Push IntVar>  W(IntVarNum)}
    (Opcod: $52; Func: vid_Pop          ),     {<Pop  StrVar>  W(VarNum)}
    (Opcod: $61; Func: vid_Push         ),     {<Push String>  W(StrLen) String}
    (Opcod: $62; Func: vid_Push         ),     {<Push StrVar>  W(StrVarNum)}
    (Opcod: $70; Func: vid_Label        ),     {<Label>        W(StrVarNum)}
    (Opcod: $80; Func: vid_Procedure    ),     {<Procedure>    W(StrVarNum)}
    (Opcod: $95; Func: vid_Other        ));

